Content View package and puppet module count is stuck at 0
Assignee: Partha Aji   

Category:    
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1099671

Publishing views with repos containing packages doesn't show the correct counts in the Content View version page:

0 Packages

0 Errata ( 0 0 0 )

see attached screenshot, it should show 400+ packages.

Associated revisions

Revision 8e24db4d - 07/22/2014 02:15 PM - Partha Aji

Fixes #5858,bz 109961 - Updated cv published content count

After a content view is published, the package/errata counts of the

newly created content view version was not getting updated in the ui.

This commit aims to fix that by forcefully reloading that specific

version of the content view when the publish is completed.

Revision 6bb7ac69 - 07/22/2014 02:15 PM - Partha Aji

Fixes #5858,bz 109961 - Updated cv published content count

After a content view is published, the package/errata counts of the

newly created content view version was not getting updated in the ui.

This commit aims to fix that by forcefully reloading that specific

version of the content view when the publish is completed.

Revision 817a3833 - 07/28/2014 02:32 PM - Partha Aji

Merge pull request #4467 from parthaa/cv-publish-fix

Fixes #5858,bz 109961 - Updated cv published content count

Revision 75effb27 - 07/28/2014 02:32 PM - Partha Aji 

Merge pull request #4467 from parthaa/cv-publish-fix

Fixes #5858,bz 109961 - Updated cv published content count

History

#1 - 05/21/2014 05:43 PM - Partha Aji

- Assignee set to Partha Aji

- Triaged set to No

#2 - 05/22/2014 07:57 PM - Brad Buckingham

- Triaged changed from No to Yes
#3 - 07/22/2014 02:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4467 added

#4 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#5 - 07/28/2014 03:01 PM - Partha Aji

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|8e24db4d0db97d46186aeda50293121a068abcde.

#6 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
